Anonymous | Login
Project:
RSS
  
News | My View | View Issues | Roadmap | Summary

View Issue DetailsJump to Notes ] Issue History ] Print ]
ID
0031354
TypeCategorySeverityReproducibilityDate SubmittedLast Update
defect[Openbravo ERP] 03. Procurement managementmajoralways2015-11-04 13:042016-03-17 10:56
ReportermaiteView Statuspublic 
Assigned Tovmromanos 
PriorityurgentResolutionfixedFixed in Version
StatusclosedFix in branchFixed in SCM revisionca914539af5d
ProjectionnoneETAnoneTarget Version
OSAnyDatabaseAnyJava version
OS VersionDatabase versionAnt version
Product VersionSCM revision 
Review Assigned Todmiguelez
Web browser
ModulesCore
Regression level
Regression date
Regression introduced in release
Regression introduced by commit
Triggers an Emergency PackNo
Summary

0031354: Wrong amtsourcedr and amtsourcecr when posting a Matched Invoice document

DescriptionWrong amtsourcedr and amtsourcecr when posting a Matched Invoice document
Steps To Reproduce1. Register Purchase Order for España organization. Add line for any product and complete
2. Register Goods Receipt for España organization. Run "Create lines from" process and select previous order. Process receipt
3. Register Purchase Invoice for España organziation. Run "Create lines from" process and select previous receipt. Process invoice
4. Post goods receipt, access "Accounting transaction details" window and review accounting for "F&B International Group US/A/US Dollar" ledger: realize that debit <> foreign debit and credit <> foreign credit
5. Post purchase invoice, access "Accounting transaction details" window and review accounting for "F&B International Group US/A/US Dollar" ledger: realize that debit <> foreign debit and credit <> foreign credit
6. Post matched invoice, access "Accounting transaction details" window and review accounting for "F&B International Group US/A/US Dollar" ledger: realize that debit = foreign debit and credit = foreign credit (when it should be different as costing currency is different from ledger's currency)
Proposed SolutioncostCurrency.getId() should be used instead of as.m_C_Currency_ID, when "createline" method in invoked from DocMatchInv.java
TagsNo tags attached.
Attached Filesdiff file icon 31354_OK.diff [^] (8,880 bytes) 2015-11-20 10:52 [Show Content]

- Relationships Relation Graph ] Dependency Graph ]
related to defect 0023066 closededuardo_Argal Matched Invoices accounting not using breakdown information 
related to defect 00218893.0MP18 closedioritzCia The exchange rate defined on an invoice is not taken into account when posting the Matched Invoice 
related to design defect 0031549 newTriage Finance Matched Invoices processing is not properly managing multi-currency feature. 

-  Notes
(0081921)
vmromanos (developer)
2015-11-17 13:14
edited on: 2016-02-12 15:03

Preconfiguration:
 Login as Openbravo Admin
 Go to Product window. Search for Cerveza Ale 0,5
  Go to tab Accounting
  Set Invoice Price Variance = 5610 for Acct. schema US Dollar
 Save it


Test plan I (basic scenario):
 Login as Openbravo Admin
 Create a purchase order for today. Business Partner: Bebidas Alegres. Product: Cerveza Ale 0,5. Quantity: 100. Book it
 Create a goods receipt for today for the previous order. Complete it and post it after running costing background process.
 Create a purchase invoice for today for the previous goods receipt. Complete it and post it.
 Go to Match Invoices window and search for the newly created record. Post it (you may need to wait until background process calculates the cost)
 Verify Journal entries report is:
   2120: Debit = 87.18, Credit = 0
   5360: Debit = 0 , Credit = 87.18
 Open Accounting Transaction Details window. Show columns: creation date, currency, foreign currency debit, foreign currency credit.
 Order records by created desc.
 Verify 2 records for the Match invoice document, F&B International Group US Dollar General Ledger, have EUR as currency, 87.18 USD as debit/credit (accounting schema currency) and 136.00 € as Foreign currency debit/credit (document currency)

Test plan II (different conversion rates):
Important: the conversion rate from EUR to USD is different in July (0.689655) and Nov (0.641026). months, so there is a Currency balancing when posting.
 Login as Openbravo Admin
 Create a purchase order for 7/7/2015. Business Partner: Bebidas Alegres. Product: Cerveza Ale 0,5. Quantity: 100. Book it
 Create a goods receipt for 7/7/2015 for the previous order. Complete it
 Create a purchase invoice for 11/11/2015 for the previous goods receipt. Complete it
 Go to Match Invoices window and search for the newly created record. Post it (you may need to wait until background process calculates the cost)
 Verify Journal entries report is:
   2120: Debit = 93.79, Credit = 0
   5360: Debit = 0 , Credit = 87.18
   5610: Debit = 0 , Credit = 6.61
 Open Accounting Transaction Details window. Show columns: creation date, currency, foreign currency debit, foreign currency credit.
 Order records by created desc.
 Verify 2 recors for the Match invoice document has EUR as currency, 87.18 as credit, 93.79 as debit and 136.00 as Foreign currency debit/credit.
 Verify there is another record with USD as currency and 6.61 in the credit


Test plan III (price variants):
 Login as Openbravo Admin
 Create a purchase order for today. Business Partner: Bebidas Alegres. Product: Cerveza Ale 0,5. Quantity: 100. Book it
 Create a goods receipt for today for the previous order. Complete it
 Create a purchase invoice for today for the previous goods receipt. Select the line and change the unit price to 1.35 (-0.01). Complete it
Make sure that your product has properly setup an "Invoice Price Variance" account for both general ledger.
 Go to Match Invoices window and search for the newly created record. Post it (you may need to wait until background process calculates the cost)
 Verify Journal entries report is:
   2120: Debit = 87.18, Credit = 0
   5360: Debit = 0 , Credit = 86.54
   5610: Debit = 0 , Credit = 0.64
 Open Accounting Transaction Details window. Show columns: creation date, currency, foreign currency debit, foreign currency credit.
 Order records by created desc.
 Verify 3 records have EUR as currency.
 Verify foreign credit amount are 135.00 (expense) and 1.00 (price variant).
 Verify foreign debit amount is 136.00

(0082020)
psanjuan (manager)
2015-11-20 12:11
edited on: 2015-11-20 12:32

Issue verified. Matched Invoices posting does not properly manage foreign currency debit/credit columns as well as debit/credit columns as it is showing in both type of columns the same amount based on the accounting schema currency.

Document currency is not taken into account in foreign currency debit/credit columns.

(0082025)
psanjuan (manager)
2015-11-20 12:52
edited on: 2015-11-20 13:14

Test plan above verified. Now document currency is taken into account in foreign currency debit/credit columns.

However, while testing this issue we have realized that multi-currency feature is not properly implemented in "Matched Invoices" window, but that is a different issue. See issue related: 31549 (Design Defect).

This issue can be code reviewed and closed.

(0084142)
hgbot (developer)
2016-02-12 10:04

Repository: erp/devel/pi
Changeset: ca914539af5d4292e2e136714a123cd2c85e1198
Author: Víctor Martínez Romanos <victor.martinez <at> openbravo.com>
Date: Tue Nov 17 17:32:11 2015 +0100
URL: http://code.openbravo.com/erp/devel/pi/rev/ca914539af5d4292e2e136714a123cd2c85e1198 [^]

Fixed bug 31354: Wrong amtsourcedr and amtsourcecr when posting Matched Invoice

The cost is always calculated and posted in the organization's currency.
The expense is calculated and posted in the invoice's currency.

The conversion date from the cost currency to the acct. schema currency uses the shipment accounting date.
The conversion date from the invoice currency to the acct. schema currency uses the invoice accounting date.

The difference for the price variant is calculated and posted in the cost currency.

In case there is a difference in the conversion rate between the order and the invoice, the usual currency balance entry is automatically created

---
M src/org/openbravo/erpCommon/ad_forms/DocMatchInv.java
---
(0084143)
hgbot (developer)
2016-02-12 10:04

Repository: erp/devel/pi
Changeset: 588f8a97fd4dc2894077c6205482d63adfb21b02
Author: Víctor Martínez Romanos <victor.martinez <at> openbravo.com>
Date: Tue Feb 09 12:46:23 2016 +0100
URL: http://code.openbravo.com/erp/devel/pi/rev/588f8a97fd4dc2894077c6205482d63adfb21b02 [^]

Related to issue 31354: Difference for price variant calculation

The difference for price variants is now calculated and posted in the Acct. Schema currency as it was originally done

---
M src/org/openbravo/erpCommon/ad_forms/DocMatchInv.java
---
(0084144)
hgbot (developer)
2016-02-12 10:04

Repository: erp/devel/pi
Changeset: c4a8d69297b16a97be9d0a5b1dcd9a480e71b1ff
Author: Alvaro Ferraz <alvaro.ferraz <at> openbravo.com>
Date: Thu Feb 11 09:50:00 2016 +0100
URL: http://code.openbravo.com/erp/devel/pi/rev/c4a8d69297b16a97be9d0a5b1dcd9a480e71b1ff [^]

Related to issue 31354: Adapt TestCosting

Fix foreign currency debit, foreign currency credit and currency checks for ReceiptInvoiceMatch document in assertDocumentPost method in testCostingMC444 and testCostingMC445 tests.

---
M src-test/src/org/openbravo/test/costing/TestCosting.java
---
(0084166)
psanjuan (manager)
2016-02-12 15:37

Test Plan above verified.
(0084214)
dmiguelez (developer)
2016-02-15 18:20

Code Review + Testing Ok
(0084215)
hgbot (developer)
2016-02-15 18:51

Repository: erp/devel/pi
Changeset: 32f1e93479b483a51271b82b5414f37de0c7d12b
Author: David Miguelez <david.miguelez <at> openbravo.com>
Date: Mon Feb 15 18:51:09 2016 +0100
URL: http://code.openbravo.com/erp/devel/pi/rev/32f1e93479b483a51271b82b5414f37de0c7d12b [^]

Related to Issue 31354. Updates copyright Issue.

---
M src-test/src/org/openbravo/test/costing/TestCosting.java
M src/org/openbravo/erpCommon/ad_forms/DocMatchInv.java
---
(0085132)
hudsonbot (developer)
2016-03-17 10:56

A changeset related to this issue has been promoted main and to the
Central Repository, after passing a series of tests.

Promotion changeset: https://code.openbravo.com/erp/devel/main/rev/b22fb0500156 [^]
Maturity status: Test
(0085133)
hudsonbot (developer)
2016-03-17 10:56

A changeset related to this issue has been promoted main and to the
Central Repository, after passing a series of tests.

Promotion changeset: https://code.openbravo.com/erp/devel/main/rev/b22fb0500156 [^]
Maturity status: Test
(0085134)
hudsonbot (developer)
2016-03-17 10:56

A changeset related to this issue has been promoted main and to the
Central Repository, after passing a series of tests.

Promotion changeset: https://code.openbravo.com/erp/devel/main/rev/b22fb0500156 [^]
Maturity status: Test
(0085138)
hudsonbot (developer)
2016-03-17 10:56

A changeset related to this issue has been promoted main and to the
Central Repository, after passing a series of tests.

Promotion changeset: https://code.openbravo.com/erp/devel/main/rev/b22fb0500156 [^]
Maturity status: Test

- Issue History
Date Modified Username Field Change
2015-11-04 13:04 maite New Issue
2015-11-04 13:04 maite Assigned To => Triage Finance
2015-11-04 13:04 maite Modules => Core
2015-11-04 13:04 maite Triggers an Emergency Pack => No
2015-11-04 13:04 maite Issue Monitored: networkb
2015-11-16 12:42 vmromanos Relationship added related to 0023066
2015-11-16 12:47 vmromanos Relationship added related to 0021889
2015-11-17 08:16 AtulOpenbravo Assigned To Triage Finance => AtulOpenbravo
2015-11-17 08:16 AtulOpenbravo Status new => scheduled
2015-11-17 09:13 vmromanos Assigned To AtulOpenbravo => vmromanos
2015-11-17 13:14 vmromanos Note Added: 0081921
2015-11-20 10:52 vmromanos File Added: 31354_OK.diff
2015-11-20 12:11 psanjuan Note Added: 0082020
2015-11-20 12:22 psanjuan Note Edited: 0081921 View Revisions
2015-11-20 12:27 psanjuan Note Edited: 0081921 View Revisions
2015-11-20 12:31 psanjuan Note Edited: 0082020 View Revisions
2015-11-20 12:32 psanjuan Note Edited: 0082020 View Revisions
2015-11-20 12:34 psanjuan Note Edited: 0081921 View Revisions
2015-11-20 12:49 psanjuan Note Edited: 0081921 View Revisions
2015-11-20 12:52 psanjuan Note Added: 0082025
2015-11-20 12:55 psanjuan Relationship added related to 0031549
2015-11-20 12:57 psanjuan Note Edited: 0081921 View Revisions
2015-11-20 13:04 psanjuan Note Edited: 0081921 View Revisions
2015-11-20 13:08 psanjuan Note Edited: 0081921 View Revisions
2015-11-20 13:14 psanjuan Note Edited: 0081921 View Revisions
2015-11-20 13:14 psanjuan Note Edited: 0082025 View Revisions
2015-12-30 11:01 vmromanos Target Version 3.0PR16Q1 =>
2016-02-12 10:04 hgbot Checkin
2016-02-12 10:04 hgbot Note Added: 0084142
2016-02-12 10:04 hgbot Status scheduled => resolved
2016-02-12 10:04 hgbot Resolution open => fixed
2016-02-12 10:04 hgbot Fixed in SCM revision => http://code.openbravo.com/erp/devel/pi/rev/ca914539af5d4292e2e136714a123cd2c85e1198 [^]
2016-02-12 10:04 hgbot Checkin
2016-02-12 10:04 hgbot Note Added: 0084143
2016-02-12 10:04 hgbot Checkin
2016-02-12 10:04 hgbot Note Added: 0084144
2016-02-12 14:51 psanjuan Note Edited: 0081921 View Revisions
2016-02-12 15:03 psanjuan Note Edited: 0081921 View Revisions
2016-02-12 15:37 psanjuan Note Added: 0084166
2016-02-15 18:20 dmiguelez Review Assigned To => dmiguelez
2016-02-15 18:20 dmiguelez Note Added: 0084214
2016-02-15 18:20 dmiguelez Status resolved => closed
2016-02-15 18:51 hgbot Checkin
2016-02-15 18:51 hgbot Note Added: 0084215
2016-03-17 10:56 hudsonbot Checkin
2016-03-17 10:56 hudsonbot Note Added: 0085132
2016-03-17 10:56 hudsonbot Checkin
2016-03-17 10:56 hudsonbot Note Added: 0085133
2016-03-17 10:56 hudsonbot Checkin
2016-03-17 10:56 hudsonbot Note Added: 0085134
2016-03-17 10:56 hudsonbot Checkin
2016-03-17 10:56 hudsonbot Note Added: 0085138


Copyright © 2000 - 2009 MantisBT Group
Powered by Mantis Bugtracker